Create recyclability assessment
curl --request POST \
--url https://www.closient.com/sustainability/api/v1/recyclability \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE"
}
'import requests
url = "https://www.closient.com/sustainability/api/v1/recyclability"
payload = {
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assessment_date: '2026-03-01',
assessment_standard: 'ISO_14021',
packaging_id: '8Jw2nQxK5vTbR3mYcLdZaE',
recyclability_code: 'PET-1',
recyclability_percentage: 95,
recycling_instructions: 'Place in curbside recycling bin.',
recycling_stream: 'PLASTIC_PET',
status: 'WIDELY_RECYCLABLE'
})
};
fetch('https://www.closient.com/sustainability/api/v1/recyclability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.closient.com/sustainability/api/v1/recyclability",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assessment_date' => '2026-03-01',
'assessment_standard' => 'ISO_14021',
'packaging_id' => '8Jw2nQxK5vTbR3mYcLdZaE',
'recyclability_code' => 'PET-1',
'recyclability_percentage' => 95,
'recycling_instructions' => 'Place in curbside recycling bin.',
'recycling_stream' => 'PLASTIC_PET',
'status' => 'WIDELY_RECYCLABLE'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.closient.com/sustainability/api/v1/recyclability"
payload := strings.NewReader("{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.closient.com/sustainability/api/v1/recyclability")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.closient.com/sustainability/api/v1/recyclability")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}"
response = http.request(request)
puts response.read_body{
"assessed_by": "RecycleSmart Labs",
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"conditions": "Rinse and remove cap before recycling.",
"created": "2026-09-30T09:00:00Z",
"description": "PET plastic, widely recyclable.",
"gtin": "00850012345688",
"id": "F5n5NdW6dTbvPYkgnLNjte",
"modified": "2026-09-30T09:00:00Z",
"organization_id": "9fHkqR2aXcVbNmLpQwErTy",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_instructions_url": "https://example.com/recycle",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE",
"valid_regions": "US, CA, EU",
"valid_until": "2027-03-01"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Recyclability
Create recyclability assessment
Record the recyclability assessment of a packaging element. 409 if the element already has one. Requires CONTRIBUTE on the organization. 404 if the packaging element isn’t one of the organization’s or a referenced id isn’t the organization’s. Nothing is created on error.
POST
/
sustainability
/
api
/
v1
/
recyclability
Create recyclability assessment
curl --request POST \
--url https://www.closient.com/sustainability/api/v1/recyclability \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE"
}
'import requests
url = "https://www.closient.com/sustainability/api/v1/recyclability"
payload = {
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assessment_date: '2026-03-01',
assessment_standard: 'ISO_14021',
packaging_id: '8Jw2nQxK5vTbR3mYcLdZaE',
recyclability_code: 'PET-1',
recyclability_percentage: 95,
recycling_instructions: 'Place in curbside recycling bin.',
recycling_stream: 'PLASTIC_PET',
status: 'WIDELY_RECYCLABLE'
})
};
fetch('https://www.closient.com/sustainability/api/v1/recyclability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.closient.com/sustainability/api/v1/recyclability",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assessment_date' => '2026-03-01',
'assessment_standard' => 'ISO_14021',
'packaging_id' => '8Jw2nQxK5vTbR3mYcLdZaE',
'recyclability_code' => 'PET-1',
'recyclability_percentage' => 95,
'recycling_instructions' => 'Place in curbside recycling bin.',
'recycling_stream' => 'PLASTIC_PET',
'status' => 'WIDELY_RECYCLABLE'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.closient.com/sustainability/api/v1/recyclability"
payload := strings.NewReader("{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.closient.com/sustainability/api/v1/recyclability")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.closient.com/sustainability/api/v1/recyclability")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"assessment_date\": \"2026-03-01\",\n \"assessment_standard\": \"ISO_14021\",\n \"packaging_id\": \"8Jw2nQxK5vTbR3mYcLdZaE\",\n \"recyclability_code\": \"PET-1\",\n \"recyclability_percentage\": 95,\n \"recycling_instructions\": \"Place in curbside recycling bin.\",\n \"recycling_stream\": \"PLASTIC_PET\",\n \"status\": \"WIDELY_RECYCLABLE\"\n}"
response = http.request(request)
puts response.read_body{
"assessed_by": "RecycleSmart Labs",
"assessment_date": "2026-03-01",
"assessment_standard": "ISO_14021",
"conditions": "Rinse and remove cap before recycling.",
"created": "2026-09-30T09:00:00Z",
"description": "PET plastic, widely recyclable.",
"gtin": "00850012345688",
"id": "F5n5NdW6dTbvPYkgnLNjte",
"modified": "2026-09-30T09:00:00Z",
"organization_id": "9fHkqR2aXcVbNmLpQwErTy",
"packaging_id": "8Jw2nQxK5vTbR3mYcLdZaE",
"recyclability_code": "PET-1",
"recyclability_percentage": 95,
"recycling_instructions": "Place in curbside recycling bin.",
"recycling_instructions_url": "https://example.com/recycle",
"recycling_stream": "PLASTIC_PET",
"status": "WIDELY_RECYCLABLE",
"valid_regions": "US, CA, EU",
"valid_until": "2027-03-01"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Body
application/json
Payload for POST /recyclability. One assessment per packaging element.
Response
Created
The recyclability assessment of one packaging element.
URL-safe 22-character shortuuid encoding of the row's UUID primary key. Stable across the row's lifetime; suitable for sharing in URLs, log lines, and external SDK clients. Accepted on input as either the shortuuid form or the canonical UUID form (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx).
Required string length:
22Pattern:
^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$